<div class="card">
    <h4 class="card-header">Login</h4>
    <div class="card-body">
        <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
            <div class="form-group">
                <label for="email">Email</label>
                <input type="email" class="form-control" id="email" required formControlName="email" name="email"
                    [ngClass]="{ 'is-invalid': submitted && form.email.errors }">
                <div *ngIf="submitted && form.email.errors" class="invalid-feedback">
                    <div *ngIf="form.email.errors.required">Email is required</div>
                    <div *ngIf="form.email.errors.email">Email must be a valid email address</div>
                </div>
            </div>

            <div class="form-group">
                <label for="password">Password</label>
                <input type="password" formControlName="password" class="form-control"
                    [ngClass]="{ 'is-invalid': submitted && form.password.errors }" />
                <div *ngIf="submitted && form.password.errors" class="invalid-feedback">
                    <div *ngIf="form.password.errors.required">Password is required</div>
                </div>
            </div>

            <div class="form-group">
                <button [disabled]="loading" class="btn btn-primary">
                    <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                    Login
                </button>
                <a routerLink="../register" class="btn btn-link">Register</a>
                    <button type="button" (click)="loginWithGoogle()" class="btn btn-danger">Login with
                        Google</button>
            </div>
        </form>
    </div>
</div>